Package org.python.core

## Enum imp.CodeImport

- java.lang.Object
- - java.lang.Enum<imp.CodeImport>
  - - org.python.core.imp.CodeImport

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<imp.CodeImport>`
  Enclosing class:
    imp

      public static enum imp.CodeImport
      extends java.lang.Enum<imp.CodeImport>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `compiled_only` |
    `source` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static imp.CodeImport` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static imp.CodeImport[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### source

          public static final imp.CodeImport source

    - #### compiled_only

          public static final imp.CodeImport compiled_only

  - ### Method Detail

    - #### values

          public static imp.CodeImport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (imp.CodeImport c : imp.CodeImport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static imp.CodeImport valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null